{% extends "ajax/game/town/town.html.twig" %}
{% block title %}
    {% if owner.alive %}
        {{ 'Haus von {citizen}'|trans({'{citizen}': owner}, 'game') }}
    {% else %}
        {{ 'Das Grab von {citizen}'|trans({'{citizen}': owner}, 'game') }}
    {% endif %}
{% endblock %}
{% block content %}
    {% set hour = "now"|date("G") %}
    <div class="row">
        <div class="cell rw-12 town-banner town-banner-visit{% if not owner.alive%}-dead{% endif %} time-{{ hour }} {% if conf.isNightTime %}night{% endif %}"></div>
    </div>

    {% include 'ajax/game/town/citizen_list_headers.html.twig' with {owner_tab: owner, active_tab: 'owner'} %}

    {# @var \App\Entity\Citizen owner #}
    {# @var \App\Structures\HomeDefenseSummary def #}
    <h1 class="page-head">
        <b>{{ 'Haus von {citizen}'|trans({citizen: owner}, 'game') }}</b>
        {% if owner.alive %}
            {% if owner.zone %}
                ({{ 'in der Außenwelt'|trans({},'game') }})
            {% else %}
                (<img alt="" src="{{ asset('build/images/icons/home.gif') }}" /> {{ 'in der Stadt'|trans({},'game') }})
            {% endif %}
        {% else %}
            (<img alt="{{ 'Tot'|trans({},'game') }}" src="{{ asset('build/images/professions/death.gif') }}" />)
        {% endif %}
    </h1>

    {% if hasClairvoyance and owner.alive %}
        <div class="clairvoyance">
            <img alt="" src="{{ asset('build/images/heroskill/small_view.gif') }}" />
            <strong>{{'Hellseherei'|trans({},'game')}}</strong>
            {{ help_btn('Die Anzahl der Sterne gibt dir eine Vorstellung von der heutigen Aktivität des Einwohners {citizen}: Anwesenheit, Besuche im Forum, Arbeit im Dorf, etc.'|trans({citizen: owner}, 'game')) }}
            <strong>:</strong>
            {% if clairvoyanceLevel > 0 %}
                {% for i in range(1, clairvoyanceLevel) %}<img src="{{ asset('build/images/icons/small_new.gif') }}" alt="*" />{% endfor %}
            {% endif %}
        </div>
    {% endif %}

    <div class="lightbox">
        <div class="row">
            {% if (owner.user.avatar) %}
                <div class="cell rw-12 hide-desktop hide-lg center">
                    <div class="avatar small ua-{{ owner.user.id % 10 }}"><img alt="" src="{{ path('app_web_avatar', {'uid': owner.user.id, 'name': owner.user.avatar.smallName, 'ext': owner.user.avatar.format}) }}"></div><br />&nbsp;
                </div>

                <div class="cell rw-3 rw-lg-4 rw-md-0">
                    {% if app.user.preferSmallAvatars %}
                        <div class="avatar small ua-{{ owner.user.id % 10 }}"><img alt="" src="{{ path('app_web_avatar', {'uid': owner.user.id, 'name': owner.user.avatar.smallName, 'ext': owner.user.avatar.format}) }}"></div>
                    {% else %}
                        <div class="avatar ua-{{ owner.user.id % 10 }}"><img alt="" src="{{ path('app_web_avatar', {'uid': owner.user.id, 'name': owner.user.avatar.filename, 'ext': owner.user.avatar.format}) }}"></div>
                    {% endif %}
                </div>
            {% endif %}

            <div class="cell {% if owner.user.avatar %}rw-9 rw-lg-8 rw-md-12{% else %}rw-12{% endif %}">
                <div class="row">
                    <div class="cell rw-5 rw-lg-6"><span class="highlight">{{ 'Haus'|trans({},'game') }} :</span></div>
                    <div class="cell rw-7 rw-lg-6">
                        {% if not owner.alive and owner.home.recycling >= 15 %}
                            <img alt="" src="{{ asset('build/images/icons/home_recycled.gif') }}" /> {{ 'vollständig demoliert und wiederverwertet...'|trans({},'game') }}
                        {% else %}
                            <img alt="" src="{{ asset('build/images/home/' ~ owner.home.prototype.icon ~ '.gif') }}" /> {{ owner.home.prototype.label|trans({},'buildings') }} {% if owner.alive %} [ + {{ owner.home.prototype.defense }} <img alt="" src="{{ asset('build/images/icons/def.gif') }}" /> ]{% endif %}
                        {% endif %}
                    </div>
                </div>
                {% if owner.alive %}
                    <div class="row">
                        <div class="cell rw-5 rw-lg-6"><span class="highlight">{{ 'Beruf'|trans({},'game') }} :</span></div>
                        <div class="cell rw-7 rw-lg-6">{% if owner.profession.heroic %}<img alt="" src="{{ asset('build/images/professions/hero.gif') }}" />{% endif %} <img alt="{{ owner.profession.label|trans({ref: owner},'game') }}" src="{{ asset('build/images/professions/' ~ owner.profession.icon ~ '.gif') }}" /> {{ owner.profession.label|trans({ref: owner}, 'game') }}</div>
                    </div>
                    <div class="row">
                        <div class="cell rw-5 rw-lg-6"><span class="highlight">{{ 'Anwesenheit'|trans({},'game') }} :</span></div>
                        <div class="cell rw-7 rw-lg-6">{% if owner.online %}<img alt="" src="{{ asset('build/images/icons/player_online.gif') }}" /> {{'Online'|trans({}, 'global')}}{% else %}<img alt="" src="{{ asset('build/images/icons/player_offline.gif') }}" /> {{'Offline'|trans({}, 'global')}}{% endif %}</div>
                    </div>
                    <div class="row">
                        <div class="cell rw-5 rw-lg-6"><span class="highlight">{{ 'Bauarbeiten'|trans({},'game') }} :</span></div>
                        <div class="cell rw-7 rw-lg-6">
                            {% if owner.home.citizenHomeUpgrades|length == 0 %}
                                {{'Kein'|trans({}, 'global')}}
                            {% else %}
                                {% for upgrade in owner.home.citizenHomeUpgrades %}
                                    {% if loop.index0 > 0  %}, {% endif %}<b>{{ upgrade.prototype.label|trans({}, 'buildings') }} {{ upgrade.level }}</b>
                                {% endfor %}
                            {% endif %}
                        </div>
                    </div>
                    <div class="row">
                        <div class="cell rw-5 rw-lg-6"><span class="highlight">{{ 'Dekoration'|trans({},'game') }} :</span></div>
                        <div class="cell rw-7 rw-lg-6"><img alt="" src="{{ asset('build/images/icons/deco.gif') }}"> {{ deco }}</div>
                    </div>
                    <div class="row">
                        <div class="cell rw-5 rw-lg-6"><span class="highlight">{{ 'Verteidigung'|trans({},'game') }} :</span></div>
                        <div class="cell rw-7 rw-lg-6"><img alt="" src="{{ asset('build/images/icons/def.gif') }}">
                            {{ def.sum }}
                            {{ help_btn(
                                'Behausung'|trans({},'game') ~ ': <strong>' ~ '+{def} Punkt(e)'|trans({'{def}': def.house_defense},'game') ~ '</strong><br />' ~
                                'Bauarbeiten'|trans({},'game') ~ ': <strong>' ~ '+{def} Punkt(e)'|trans({'{def}': def.upgrades_defense},'game') ~ '</strong><br />' ~
                                'Verteidigungsgegenstände'|trans({},'game') ~ ': <strong>' ~ '+{def} Punkt(e)'|trans({'{def}': def.item_defense},'game') ~ '</strong><br />' ~
                                'Heldenbonus'|trans({},'game') ~ ': <strong>' ~ '+{def} Punkt(e)'|trans({'{def}': def.job_defense},'game') ~ '</strong><br />' ~
                                (def.job_guard_defense > 0 ? ('Wächterbonus'|trans({},'game') ~ ': <strong>' ~ '+{def} Punkt(e)'|trans({'{def}': def.job_guard_defense},'game') ~ '</strong><br />') : '') ~
                            '<hr />' ~
                            'Total'|trans({},'game') ~ ': <strong>' ~ '+{def} Punkt(e)'|trans({'{def}': def.sum},'game') ~ '</strong>' ~
                            '<p class="small">' ~ 'Verteidigungsgegenstände (Blechplatten etc...) müssen in der Truhe abgelegt werden.'|trans({},'game') ~ '</p>'
                            ) }}
                        </div>
                    </div>
                {% else %}
                    <div class="row">
                        <div class="cell rw-5 rw-lg-6"><span class="highlight">{{ 'Todesursache'|trans({},'game') }} :</span></div>
                        <div class="cell rw-7 rw-lg-6">{{ owner.causeOfDeath.label|trans({},'game') }} (<a x-ajax-href="{{ path('soul_visit', {id: owner.user.id}) }}" style="cursor: pointer; text-decoration: underline;"><img src="{{ asset('build/images/icons/small_ghost_red.gif') }}" alt=""/> {{'Seine Seele ansehen'|trans({ref: owner}, 'game')}}</a>)</div>
                    </div>
                    <div class="row">
                        <div class="cell rw-5 rw-lg-6"><span class="highlight">{{ 'Letzte Worte:'|trans({},'game') }}</span></div>
                        <div class="cell rw-7 rw-lg-6">
                            {{ owner.rankingEntry.lastWords|replace({'{gotKilled}': '...der Mörder .. ist.. IST.. AAARGHhh..'|trans({},'game')}) }}
                            {% if owner.rankingEntry.lastWords %}
                                <a href="#" id="report-desc" class="float-right" title="{{ 'Unangemessenen Inhalt melden'|trans({},'global') }}"><img alt="!" src="{{ asset('build/images/forum/warning.png') }}"></a>
                            {% endif %}
                        </div>
                    </div>
                {% endif %}
            </div>
        </div>
    </div>

    {% if owner.alive and owner.home.description %}
        <div class="lightbox">
            <div class="row">
                <div class="cell rw-5 rw-lg-6"><span class="highlight">{{ 'Persönliche Beschreibung'|trans({},'game') }} :</span></div>
                <div class="cell rw-7 rw-lg-6">
                    « {{ owner.home.description }} »
                    <div class="float-right"><a href="#" id="report-desc" title="{{ 'Unangemessenen Inhalt melden'|trans({},'global') }}"><img alt="!" src="{{ asset('build/images/forum/warning.png') }}"></a></div>
                </div>
            </div>
        </div>
    {% endif %}

    {% if not owner.alive and owner.hasRole('ghoul') %}
        <div class="note note-critical">
            {% trans with {'{user}': owner.name} from 'game' %}
                Die offensichtlichen Spuren zeigen, dass {user} die Grenzen zum Wahnsinn überschritten haben muss: abgenagte Knochen, zerfetzte menschliche Gliedmaßen, halb aufgegessene Tierreste... Sein ehemaliges Zuhause ist ein veritables stinkendes Massengrab, das keinen Zweifel zulässt: <strong>{user} war ein Ghoul</strong>!
            {% endtrans %}
        </div>
    {% endif %}

    <div class="row">
        <div class="padded cell rw-6 citizen-home">
            {% if owner.alive %}
                <h5>{% trans from 'game' %}Meine Spezialaktionen{% endtrans %}</h5>
                {# @var complaint \App\Entity\Complaint|null #}
                {% if complaints|length > 0 %}
                    <div class="note">
                        {{ '{citizen} hat bereits {num} Anzeige(n).'|trans({'{citizen}': owner.name, '{num}': '<b>' ~ complaints|length ~ '</b>'}, 'game')|raw }}<br />
                        {% set names = ['', 'Verbannung'|trans({},'game'), 'Todesstrafe'|trans({},'game') ] %}
                        {% if complaint is not null and complaint.severity > 0 %}
                            {{ 'Eine davon stammt von dir. Du hast {punishment} gefordert.'|trans({'{punishment}': '<b>' ~ names[complaint.severity] ~ '</b>'}, 'game')|raw }}<br />
                        {% endif %}
                    </div>
                {% endif %}
                <button x-ajax-href="{{ path('soul_visit', {id: owner.user.id}) }}"><img src="{{ asset('build/images/icons/small_ghost_red.gif') }}" alt="" />{{'Seine Seele ansehen'|trans({ref: owner}, 'game')}}</button>

                {% if not app.user|restricted(constant('App\\Entity\\AccountRestriction::RestrictionTownCommunication')) %}
                    <button x-ajax-href="{{ path('town_house', {tab: 'messages', subtab: 'write', dest: owner.id}) }}"><img src="{{ asset('build/images/icons/small_mail.gif') }}" alt="" />{{'Eine Nachricht hinterlassen'|trans({}, 'game')}}</button>
                {% endif %}
                {% if not owner.zone %}
                    <button x-attack-citizen {% if not can_attack %}disabled{% endif %}>
                        <img alt="" src="{{ asset('build/images/icons/fist.gif') }}" /> {{ 'Diesen Bürger angreifen!'|trans({ref: owner},'game') }} (<div class="ap">{{ attackAP }}</div>)
                        <div class="tooltip help">{{ 'Einen anderen Bürger angreifen, bedeutet ihn körperlich zu verletzen... Die Chance ihn zu verletzen ist gering, aber die ganze Stadt wird davon erfahren...'|trans({}, 'game') }}</div>
                    </button>
                    {% if can_devour %}
                        <button x-devour-citizen {% if not allow_devour %}disabled{% endif %}>
                            <img alt="" src="{{ asset('build/images/roles/ghoul.gif') }}" /> {{ 'Diesen Bürger verspeisen!'|trans({},'game') }}
                            <div class="tooltip help">{{ 'WARNUNG: Es besteht eine große Chance, dass du von anderen Bürgern entdeckt wirst, wenn du jemanden in der Stadt verschlingst! Mach das besser in der Aussenwelt...'|trans({},'game') }}</div>
                        </button>
                    {% endif %}
                    {% if is_shaman and not banished %}
                        <button x-heal-citizen>
                            {{'Nutze deine heilenden Hände'|trans({}, 'game')}} ({% if is_shaman_role %}<div class="pm">2</div>{% else %}<div class="ap">2</div>{% endif %})
                            <div class="tooltip">{{ 'Du kannst versuchen, diesen Bürger zu heilen, aber nichts ist garantiert... und hüte dich vor Nebenwirkungen!'|trans({ref: owner},'game') }}</div>
                        </button>
                    {% endif %}
                {% endif %}
                {% if can_complain %}
                    {% if complaint is null or complaint.severity == 0 %}
                    <button x-show-reason>
                        {{ 'Anzeige erstatten'|trans({},'game') }}
                        <div class="tooltip">
                            {{ 'Wenn du der Ansicht bist, dass sich {citizen} <strong>falsch verhalten</strong>, erstatte eine Anzeige<br />Wenn mehrere Mitspieler dies auch so sehen, kann er (sie) von der Gemeinschaft <strong>schwer bestraft</strong> werden!'|trans({"{citizen}": owner}, 'game')|raw }}
                        </div>
                    </button>
                    <div class="lightbox" id="complain_reason" style="display: none";>
                        <label for="reason">{{'Grund:'|trans({}, 'game')}}</label>
                        <select id="reason">
                            <option value="0" selected>-- {{'Wählen'|trans({}, 'game')}} --</option>
                            {% for complaintreason in complaintreasons %}
                            <option value="{{complaintreason.id}}">{{complaintreason.text|trans({}, 'game')}}</option>
                            {% endfor %}
                        </select>
                        <button x-complaint-severity="1">{{ 'Anzeige erstatten'|trans({},'game') }}</button>
                    </div>
                    {% endif %}
                    {% if complaint is not null and complaint.severity > 0 %}<button x-complaint-severity="0">{{ 'Anzeige zurückziehen'|trans({},'game') }}</button>{% endif %}
                    <!--{% if complaint is not null and complaint.severity == 1 %}<button x-complaint-severity="2">{{ 'Anzeige: Todesstrafe fordern'|trans({},'game') }}</button>{% endif %}-->
                    <!--{% if complaint is not null and complaint.severity == 2 %}<button x-complaint-severity="1">{{ 'Anzeige: Verbannung fordern'|trans({},'game') }}</button>{% endif %}-->
                {% endif %}

                {% if complaints|length > 0 %}
                    <h5><img alt="" src="{{ asset('build/images/icons/scout_lv0.gif') }}"> {% trans from 'game' %}Anzeigen{% endtrans %}</h5>
                    <ul class='gossips'>
                        {% for complaint in complaints %}
                            {% if not complaint.linkedReason is null %}
                                <li>{{complaint.linkedReason.text|trans({}, 'game')}}</li>
                            {% else %}
                                <li>{{complaint.reason}}</li>
                            {% endif %}
                        {% endfor %}
                    </ul>
                {% endif %}

                {% if is_granted('ROLE_CROW') and app.environment == 'dev' %}
                    <br />
                    <button x-ajax-href="{{ path('admin_users_account_view', {id: owner.user.id}) }}"><img alt="" src="{{ asset('build/images/icons/small_admin.gif') }}">{{ 'Admin Dashboard'|trans({},'admin') }}</button>
                {% endif %}

                <h5>{% trans from 'game' %}Gemeinschaft{% endtrans %}</h5>
                <div class='citizen-gossips'>{{'Dieser Bürger'|trans({citizen: owner}, 'game')}}</div>
                <ul class='gossips'>
                    {% if owner.lastActionTimestamp == 0 %}
                        <li>{{'Dieser Bürger wurde noch nie gesehen...'|trans({ref: owner}, 'game')|raw}}</li>
                    {% else %}
                        <li>{{'Der Bürger wurde zuletzt {time} gesehen.'|trans({ref: owner, '{time}': '<strong>' ~ lastActionText ~ '</strong>'}, 'game')|raw}}</li>
                    {% endif %}
                    {% if owner.specificActionCounterValue(constant('App\\Entity\\ActionCounter::ActionTypeWell')) > 0 %}<li>{{"Dieser Bürger hat {ration} Wasserration(en) aus dem Brunnen genommen."|trans({ref: owner, 'ration': owner.specificActionCounterValue(constant('App\\Entity\\ActionCounter::ActionTypeWell'))}, 'game')|raw}}</li>{% endif %}
                    {% if is_outside_unprotected %}<li>{{'Dieser Bürger ist nicht in der Stadt sei und hat <strong>sein Haus nicht gegen Einbrecher geschützt</strong>...'|trans({ref: owner}, 'game')|raw}}</li>{% endif %}
                    {% if is_injured %}<li>{{'Dieser Bürger ist ernsthaft verletzt.'|trans({ref: owner}, 'game')|raw}}</li>{% endif %}
                    {% if is_infected %}<li>{{'Dieser Bürger hat eventuell schon seit einer Weile Blut gehustet... Einige reden von einer Infektion.'|trans({ref: owner}, 'game')|raw}}</li>{% endif %}
                    {% if is_thirsty %}<li>{{'Dieser Bürger hat eventuell heute Morgen überall nach Wasser gebettelt haben... Ob er durstig ist?'|trans({ref: owner}, 'game')|raw}}</li>{% endif %}
                    {% if is_addicted %}<li>{{'Dieser Bürger is eventuell süchtig... Wir nennen sein Verhalten aggressiv, manchmal sogar assozial...'|trans({ref: owner}, 'game')|raw}}</li>{% endif %}
                    {% if is_terrorised %}<li>{{'Dieser Bürger konnte nicht schlafen und redete wirres Zeug, von Tod, sprechenden Schatten und Stimmen in seinem Kopf...'|trans({ref: owner}, 'game')|raw}}</li>{% endif %}
                    {% if not has_job %}<li>{{'Dieser Bürger ist nicht in der Lage, einen Beruf zu wählen. Wir sind noch lange nicht über den Berg, das kann ich euch sagen!'|trans({ref: owner}, 'game')|raw}}</li>{% endif %}
                    {% if is_admin %}<li>{{'Dieser Bürger könnte jemand sehr Wichtiges sein. Vielleicht einer der Erschaffer?'|trans({ref: owner}, 'game')|raw}}</li>{% endif %}
                </ul>
            {% else %}
                {% if owner.home.holdsBody %}
                    <h5>{% trans from 'game' %}Was geschieht mit dieser Leiche?{% endtrans %}</h5>
                    <span class="disposal">{{'Da {citizen} tot ist, besteht ein hohes Risiko, dass sein Körper mit ansteckenden Keimen von <em>{townname}</em> kontaminiert ist. Wenn wir nicht wollen, dass er wieder aufersteht und uns angreift, muss er entweder mit Wasser übergossen oder weggeworfen werden.'|trans({'{citizen}': owner, '{townname}': owner.town.name}, 'game')|raw}}</span>
                    {% if has_cremato %}
                        <button x-disposal-id="{{ constant('App\\Entity\\Citizen::Cooked') }}">
                            <img alt="" src="{{ asset('build/images/item/item_meat.gif') }}" />{{ 'Leiche grillen'|trans({},'game') }}
                            <div class="tooltip help">
                                {{'Dank des von der Stadt gebauten Kremato-Cue kannst du diese Leiche <strong>in Verpflegung umwandeln</strong>. Aber willst du das wirklich tun?'|trans({}, 'game')|raw}}
                            </div>
                        </button>
                    {% endif %}
                    <button x-disposal-id="{{ constant('App\\Entity\\Citizen::Watered') }}">
                        <img alt="" src="{{ asset('build/images/item/item_water.gif') }}" />{{ 'Leiche mit Wasser übergießen'|trans({},'game') }}
                        <div class="tooltip help">
                            {{'Die Zeremonie besteht darin, die Leiche mit einer 1x <strong>Ration Wasser</strong> zu übergießen. Die Leiche wird dann sofort zerstört.'|trans({}, 'game')|raw}}
                        </div>
                    </button>
                    <button x-disposal-id="{{ constant('App\\Entity\\Citizen::Thrown') }}">
                        <img alt="" src="{{ asset('build/images/emotes/arrowright.gif') }}" />{{ 'Leiche aus der Stadt ziehen'|trans({},'game') }}
                        <div class="tooltip help">
                            {{'Wenn du eine Leiche entsorgen möchtest, ohne dafür Wasser zu verbrauchen, kannst du sie <strong>nach draußen ziehen</strong>. Diese Aktion verbraucht <strong>2 Aktionspunkte</strong>.'|trans({}, 'game')|raw}}
                        </div>
                    </button>
                    {% if can_devour %}
                        <button x-devour-citizen {% if not allow_devour_corpse %}disabled{% endif %}><img alt="" src="{{ asset('build/images/roles/ghoul.gif') }}" />{{ 'Die Leiche verspeisen!'|trans({},'game') }}</button>
                    {% endif %}
                {% else %}
                    {% if owner.disposed is null %}
                        <h5>{% trans from 'game' %}Was ist mit ihm passiert?{% endtrans %}</h5>
                    {% else %}
                        <h5>{% trans from 'game' %}Was ist mit dem Körper geschehen?{% endtrans %}</h5>
                    {% endif %}
                    <span class="disposal">
                    {% if owner.disposed is null %}
                        {{'{citizen} ist in der Wüste gestorben und hat seinen Mitbürgern nichts hinterlassen.'|trans({'{citizen}': "<strong>" ~ owner.name ~ "</strong>"}, 'game')|raw}}
                    {% else %}
                        {% if owner.disposed == constant('App\\Entity\\Citizen::Thrown') %}
                            {{'Nicht ganz ekelfrei hat {disposing_citizen} den leblosen Körper von {citizen} entsorgt.'|trans({'{disposing_citizen}': "<em>" ~ owner.disposedBy[0].name ~ "</em>", '{citizen}': "<em>" ~ owner.name ~ "</em>"}, 'game')|raw}}
                        {% elseif owner.disposed == constant('App\\Entity\\Citizen::Watered') %}
                            {{'Dank {disposing_citizen} hat sich der Körper von {citizen} in verfaultes Wasser verwandelt.'|trans({'{disposing_citizen}': "<em>" ~ owner.disposedBy[0].name ~ "</em>", '{citizen}': "<em>" ~ owner.name ~ "</em>"}, 'game')|raw}}
                        {% elseif owner.disposed == constant('App\\Entity\\Citizen::Cooked') %}
                            {{'{disposing_citizen} hat {citizen} ordentlich Feuer gegeben. Du hättest Marshmallows vorbereiten können, wenn man dir Bescheid gegeben hätte.'|trans({'{disposing_citizen}': "<em>" ~ owner.disposedBy[0].name ~ "</em>", '{citizen}': "<em>" ~ owner.name ~ "</em>"}, 'game')|raw}}
                        {% elseif owner.disposed == constant('App\\Entity\\Citizen::Ghoul') %}
                            {{ 'Keine Ahnung. <strong>Der leblose Körper ist spurlos verschwunden...</strong> Vermutlich liegt er jetzt irgendwo vor der Stadt und verrottet vor sich hin... Vielleicht kommt er euch ja in der Nacht besuchen?'|trans({}, 'game')|raw }}
                        {% else %}
                            {{ 'Unbekannt'|trans({}, 'game') }}
                        {% endif %}
                    </span>
                    {% endif %}
                {% endif %}
                <h5>{% trans from 'game' %}Das Haus{% endtrans %}</h5>
                {% if owner.home.prototype.level > 1 %}
                    {% if can_recycle  %}
                        <span class="disposal">
                            {{ 'Du kannst das Haus, in dem {citizen} lebte, recyceln. Alle darin gelagerten Gegenstände (in seinem Inventar) werden in der Bank abgelegt. Außerdem hast du die Möglichkeit, einen Teil der beim Bau verwendeten Ressourcen zurückzugewinnen.'|trans({citizen: owner},'game') }}
                        </span><br />
                    {% endif %}
                    {% if owner.home.recycling >= 15 %}
                        <span class="disposal">
                            {{ 'Nichts mehr da! Die Bürger haben beschlossen, das Haus zu zerstören... Welch eine dankbare Gemeinschaft.'|trans({},'game') }}
                        </span><br />
                    {% elseif owner.home.recycling > 0 and owner.home.recycling < 15 %}
                        <br /><div class="small"><b>{{ 'Wiederverwertung:'|trans({},'game') }}</b></div>
                        <div class="vote-bar">
                            <div class="vote-progress" style="width: {{owner.home.recycling / 15 * 100}}%;"></div>
                            <div class="tooltip help">
                                {{ 'Fortschritt bei der Wiederverwertung dieses Hauses: {progress} / {total} AP'|trans({progress: owner.home.recycling, total: 15},'game') }}
                            </div>
                        </div>
                    {% endif %}
                    {% if can_recycle  %}
                        <br />
                        <button x-recycle-home="1">{{ 'Behausung wiederverwerten'|trans({},'game') }} (<div class="ap">1</div>)</button>
                    {% endif %}
                {% else %}
                    <span class="disposal">{{'Der Ort (kann man überhaupt von Zuhause reden?), an dem {citizen} lebte, ist keinen Blick wert. Da gibt es nichts zu holen, selbst wenn man alles auseinandernimmt.'|trans({'{citizen}': owner.name}, 'game')}}</span>
                {% endif %}
            {% endif %}
        </div>
        <div class="padded cell rw-6 citizen-chest">
            {% if owner.alive %}
                <h5>{{ '{citizen}s Truhe'|trans({'{citizen}': owner.name}, 'game') }}</h5>
                {% if hidden and not intruding %}
                    <p class="curtain-text">{{ 'Als du zum Fenster blickst, stellst du fest, dass ein großer Vorhang dir die Sicht versperrt. Du kannst deshalb nicht sehen, was {citizen} bei sich aufbewahrt...'|trans({'{citizen}': owner.name},'game') }}</p>
                {% endif %}
                {# {% if owner.zone %}<p {% if hidden %}class="hidden with-curtains"{% endif %}>{{ '{citizen} ist ausgegangen...'|trans({'{citizen}': owner.name}, 'game') }} {% endif %}</p>#}
                {% if chest.items|length > 0 and (not hidden or intruding) %}
                    {% if not intruding %}
                        <p>{{ 'Wenn Sie aus dem Fenster schauen, können Sie die folgenden Dinge im Haus sehen:'|trans({},'game') }}</p>
                    {% endif %}
                    {% embed "ajax/game/inventory.html.twig" with {'size': chest_size, 'items': chest.items, 'foreignChestMode': true, 'showFreeSlots': false} %}
                        {% block class %}chest {% if owner.alive and intruding <= 0 %}locked{% endif %}{% endblock %}
                        {% block title %}{% endblock %}
                    {% endembed %}
                    {% if intruding > 0 %}
                        <div class="help stealhelp">
                            {{'Wähle den <strong>zu stehlenden Gegenstand</strong> hier oben aus. <strong>Achtung!</strong> Es besteht die Gefahr, dass du dabei gesehen wirst. In diesem Fall musst du dich auf unangenehme Konsequenzen gefasst machen.'|trans({}, 'game')|raw}}
                        </div>
                    {% endif %}
                {% elseif (not hidden or intruding) %}
                    <p>{{'Als du durch das Fenster blickst, stellst du fest, dass das Haus von {citizen} keinerlei interessante Gegenstände enthält. Ein paar Tonscherben, viel Staub und eine tote Ratte ist alles, was du erkennen kannst. Nichts, was der Mühe wert wäre.'|trans({'{citizen}': owner.name}, 'game')}}</p>
                {% endif %}
                {% if already_stolen and not intruding %}
                    <div class="notice">{{'Du hast heute schon <strong>einen Diebstahl</strong> begangen.'|trans({},'game')|raw}}</div>
                {% else %}
                    {% if intruding < 0 %}
                        {% embed "ajax/game/inventory.html.twig" with {'size': rucksack_size, 'items': rucksack.items, 'sort': true} %}
                            {% block class %}rucksack{% endblock %}
                            {% block title %}{% trans from 'game' %}Mein Rucksack{% endtrans %}{% endblock %}
                        {% endembed %}
                    {% endif %}
                    {% if owner.zone and not protect %}

                        {% if intruding != 0 %}
                            <button x-action-id="leave">{{'Abbrechen'|trans({}, 'global')}}</button>
                        {% else %}
                            {% if chest.items|length > 0 or hidden %}
                                <button x-action-id="enablesteal"><img src="{{asset('build/images/icons/home.gif')}}" alt="" /> {{'Einen Gegenstand stehlen'|trans({}, 'game')}}</button>
                            {% endif %}
                            <button x-action-id="enablesneak">{{'Einen Gegenstand hinterlassen'|trans({}, 'game')}}</button>
                        {% endif %}

                    {% endif %}

                    {% if not owner.zone and not hidden %}
                    <div class="notice">{{'Du kannst nichts von {citizen} stehlen, solange <strong>er (sie) in der Stadt ist</strong>...'|trans({citizen: owner}, 'game')|raw}}</div>
                    {% endif %}
                    {% if protect %}
                        <div class="notice">{{'Cette maison est <strong>protégée</strong> (verrou ou autre...) et ne peut être cambriolée.'|trans({citizen: owner}, 'game')|raw}}</div>
                    {% endif %}
                {% endif %}
            {% else %}
                <h5>{{ 'Inventar: {citizen}'|trans({'{citizen}': owner.name}, 'game') }}</h5>
                {% if chest.items|length > 0 %}
                    {% if not already_stolen %}
                    <div class="help">{{'Jetzt, da {citizen} tot ist, kannst du ihm einen <strong>Gegenstand klauen</strong>, wenn du möchtest...'|trans({citizen: owner}, 'game')|raw}}</div>
                    {% endif %}
                    <p>{{'Beim Durchwühlen seines Hauses entdeckst du folgende Dinge:'|trans({ref: owner}, 'game')}}</p>
                    {% embed "ajax/game/inventory.html.twig" with {'size': chest_size, 'items': chest.items, 'foreignChestMode': true, 'showFreeSlots': false} %}
                        {% block class %}chest {% if already_stolen %}locked{% endif %}{% endblock %}
                        {% block title %}{% endblock %}
                    {% endembed %}
                {% elseif owner.home.recycling >= 15 %}
                    <div class="disposal">{{ 'Die Truhe von {citizen} ist komplett leer, das ganze Haus wurde bereits abgerissen.'|trans({citizen: owner}, 'game') }}</div>
                {% else %}
                    <div class="help">{{'Als du ins Fenster schaust, bemerkst du, dass {citizen}s Haus keine wertvollen Gegenständen mehr enthält. Wahrscheinlich haben andere Bürger schon alles, was nicht niet- und nagelfest war, mitgenommen...'|trans({citizen: owner}, 'game')}}</div>
                {% endif %}
                {% if already_stolen %}
                    <div class="notice">{{'Du hast heute schon <strong>einen Diebstahl</strong> begangen.'|trans({},'game')|raw}}</div>
                {% endif %}
            {% endif %}
        </div>
    </div>

    {% if owner.alive %}
    <div class="row">
        <h5>{{ '{citizen}s Register'|trans({'{citizen}': owner.name},'game') }} <a class="float-right link" x-ajax-href="{{ path("game_newspaper") }}">{{ 'Das Gesamtregister ansehen'|trans({}, 'game') }}<div class="tooltip normal">{{ 'Dieser Link bringt dich zum <strong>Großen Register</strong>. Darin werden alle wichtigen Handlungen und Aktionen der Stadtbürger gespeichert...'|trans({}, 'game')|raw }}</div></a></h5>
        <div class="cell rw-12">
            {% embed "ajax/game/log.html.twig" with {'log_content': log, 'log_source': path('town_visit_log_controller', {'id': owner.id}) } %}
            {% endembed %}
        </div>
    </div>
    {% endif %}

    <br />

    {% if is_granted('ROLE_ADMIN') %}
    <div class="row">
        <div class="cell rw-14">
                {% if owner.alive %}
                        <button x-admin-action="1"><img src="{{ asset('build/images/actions/bullets.gif') }}" alt="" /> {{ 'Headshot'|trans({},'game') }} <div class="kill"></div></button>
                {% endif %}
        </div>
    </div>
    {% endif %}

    <div class="row">
        <div class="cell ro-8 rw-4 ro-md-7 rw-md-5"><button x-ajax-href="{{ path('town_citizens') }}">{{ 'Schließen'|trans({},'global') }}</button></div>
    </div>

{% endblock %}
{% block js %}
    {{ parent() }}
    <script>
        {% embed "scripts/log.js.twig" %}{% endembed %};
        {% embed "scripts/inventory.js.twig" %}{% endembed %};

        {% if owner.alive %}
            const show_complain = document.querySelectorAll('[x-show-reason]');
            for (let i = 0 ; i < show_complain.length ; i++){
                show_complain[i].addEventListener('click', function(){
                    this.style.display = "none";
                    document.getElementById("complain_reason").style.display = "block";
                });
            }
            const complainButtons = document.querySelectorAll('[x-complaint-severity]');
            for (let i = 0; i < complainButtons.length; i++)
                complainButtons[i].addEventListener('click', function() {
                    let reason = 0;
                    if(document.getElementById("reason"))
                        reason = parseInt(document.getElementById("reason").value);

                    const severity = parseInt(complainButtons[i].getAttribute('x-complaint-severity'));

                    if (reason === 0 && severity !== 0)
                        $.html.error(' {{ 'Du musst für deine Beschwerde eine Begründung angeben.'|trans({},'game') }} ');
                    else $.ajax.easySend( '{{ path('town_visit_complain_controller', {id: owner.id}) }}', {severity, reason},
                        function () {
                            $.ajax.load(null, '{{ path('town_visit', {id: owner.id}) }}', true);
                        } );
                })
            {% if is_granted('ROLE_ADMIN') %}
                const adminButtons = document.querySelectorAll('[x-admin-action]');
                for (let i = 0; i < adminButtons.length; i++)
                    adminButtons[i].addEventListener('click', function() {
                    if (confirm('{{ 'Diesen Bürger töten?'|trans({},'admin') }}'))
                        $.ajax.easySend( '{{ path('town_visit_headshot', {id: owner.id}) }}', {},
                            function () {
                                $.ajax.load(null, '{{ path('town_visit', {id: owner.id}) }}', true);
                            } );
                })
            {% endif %}
            {% if is_shaman and not banished %}
	            const healButtons = document.querySelectorAll('[x-heal-citizen]');
	            for (let i = 0; i < healButtons.length; i++) {
	                healButtons[i].addEventListener('click', function() {
                        if (!confirm('{{ 'Bestätigen?'|trans({},'global')|e('js') }}'))
	                        return;
	                    $.ajax.easySend( '{{ path('visit_heal_citizen', {id: owner.id}) }}', {},
	                        function () {
	                            $.ajax.load(null, '{{ path('town_visit', {id: owner.id}) }}', true);
	                        } );
	                });
	            }
	        {% endif %}
            {% if can_attack %}
                $.html.addEventListenerAll('[x-attack-citizen]', 'click', function() {
                    if (!confirm('{{ 'Bestätigen?'|trans({},'global')|e('js') }}'))
                        return;
                    $.ajax.easySend( '{{ path('visit_attack_citizen', {id: owner.id}) }}', {},
                        function () {
                            $.ajax.load(null, '{{ path('town_visit', {id: owner.id}) }}', true);
                        } );
                });
            {% endif %}

            {% if intruding > 0 %}
                handleItems(
                    document.querySelectorAll('.chest:not(.locked)>.item:not(.locked)[x-item-id]'),
                    '{{ path('town_visit_item_controller', {id: owner.id}) }}',
                    'up', '{{ path('town_visit', {id: owner.id}) }}'
                );
            {% elseif (intruding < 0) %}
                handleItems(
                    document.querySelectorAll('.rucksack>.item:not(.locked)[x-item-id]'),
                    '{{ path('town_visit_item_controller', {id: owner.id}) }}',
                    'down', '{{ path('town_visit', {id: owner.id}) }}'
                );
            {% endif %}

            $.html.addEventListenerAll('button[x-action-id]', 'click', function(ev){
                let msg = "";
                if (ev.target.getAttribute('x-action-id') == "enablesteal") {
                    msg = "{{ 'Bist du sicher, dass du hier einbrechen und einen Gegenstand stehlen willst?'|trans({},'game')|e('js') }}";
                } else if (ev.target.getAttribute('x-action-id') == "enablesneak") {
                    {% if not owner.town.chaos %}
                        msg = "{{ 'Bist du sicher, dass du hier einbrechen und einen Gegenstand hinterlassen willst?'|trans({},'game')|e('js') }}";
                    {% else %}
                        $.html.error('{{ 'Du kannst diese Aktion nicht durchführen, während in der Stadt <strong>Chaos</strong> herrscht.'|trans({},'game')|e('js') }}');
                        return
                    {% endif %}
                }

                if (msg && !confirm(msg))
                    return;

                switch(ev.target.getAttribute('x-action-id')){
                    case "enablesteal": case "enablesneak": case "leave":
                        let action = ev.target.getAttribute('x-action-id') === 'leave' ? 0 : ( ev.target.getAttribute('x-action-id') === 'enablesteal' ? 1 : -1 );
                        $.ajax.easySend('{{ path('town_visit_intrusion_controller', {id: owner.id}) }}', {action: action}, () => $.ajax.load(null, '{{ path('town_visit', {id: owner.id}) }}'))
                        break;
                }
            });
        {% else %}
            {% if not already_stolen %}
                handleItems(
                    document.querySelectorAll('.chest:not(.locked)>.item:not(.locked)[x-item-id]'),
                    '{{ path('town_visit_item_controller', {id: owner.id}) }}',
                    'up', '{{ path('town_visit', {id: owner.id}) }}'
                );
            {% endif %}
            const recycleBtn = document.querySelectorAll('[x-recycle-home]');
            for (let i = 0; i < recycleBtn.length; i++) {
                recycleBtn[i].addEventListener('click', function() {
                    if (!confirm('{{ 'Diese Aktion kostet dich 1 AP!'|trans({},'global')|e('js') }} {{ 'Bestätigen?'|trans({},'global')|e('js') }}'))
                        return;
                    $.ajax.easySend( '{{ path('visit_recycle_home', {id: owner.id}) }}', {},
                        function () {
                            $.ajax.load(null, '{{ path('town_visit', {id: owner.id}) }}', true);
                        } );
                });
            }
        {% endif %}

        {% if can_devour and (allow_devour or allow_devour_corpse) %}
            $.html.addEventListenerAll('[x-devour-citizen]', 'click', function() {
                if (!confirm('{{ 'Diese Aktion ermöglicht es dir, diesen Bürger zu verschlingen, um deinen unersättlichen Heißhunger zu stillen!'|trans({},'game')|e('js') }}'))
                    return;
                $.ajax.easySend( '{{ path('visit_devour_citizen', {id: owner.id}) }}', {},
                    function () {
                        $.ajax.load(null, '{{ path('town_visit', {id: owner.id}) }}', true);
                    } );
            });
        {% endif %}

        $.html.addEventListenerAll("#report-desc", "click", function(event,element){
            event.preventDefault();
            event.stopPropagation();

            let form = $.html.createElement('<div class="modal-form" id="modal-form" />');
            form.append($.html.createElement( '<p class="small bold"></p>', '{{ 'Bist du sicher, dass du diesen Post an die Moderatoren melden willst?'|trans({},'global')|e('js') }}' ));

            let sec_p = $.html.createElement('<p class="small"/>', '{{ 'Wenn möglich gib bitte einen Grund für deine Meldung an:'|trans({},'global')|e('js') }}');
            sec_p.append( $.html.createElement('<div><label><input checked type="radio" name="report_reason" value="0" />' + '{{ 'Keinen Grund angeben'|trans({},'global')|e('js') }}' + '</label></div>') )
            sec_p.append( $.html.createElement('<div><label><input type="radio" name="report_reason" value="1" />' + '{{ 'Cheating'|trans({},'global')|e('js') }}' + '</label></div>') )
            sec_p.append( $.html.createElement('<div><label><input type="radio" name="report_reason" value="2" />' + '{{ 'Flooding oder Spam'|trans({},'global')|e('js') }}' + '</label></div>') )
            {% if owner.alive %}
                sec_p.append( $.html.createElement('<div><label><input type="radio" name="report_reason" value="3" />' + '{{ 'Verwendung einer anderen als der Stadtsprache'|trans({},'global')|e('js') }}' + '</label></div>') )
            {% endif %}
            sec_p.append( $.html.createElement('<div><label><input type="radio" name="report_reason" value="4" />' + '{{ 'Beleidigungen / Unangemessener Ausdruck'|trans({},'global')|e('js') }}' + '</label></div>') )
            sec_p.append( $.html.createElement('<div><label><input type="radio" name="report_reason" value="5" />' + '{{ 'Pornographie'|trans({},'global')|e('js') }}' + '</label></div>') )
            sec_p.append( $.html.createElement('<div><label><input type="radio" name="report_reason" value="6" />' + '{{ 'Hassrede'|trans({},'global')|e('js') }}' + '</label></div>') )
            sec_p.append( $.html.createElement('<div><label><input type="radio" name="report_reason" value="7" />' + '{{ 'Verbreitung persönlicher Informationen'|trans({},'global')|e('js') }}' + '</label></div>') )
            sec_p.append( $.html.createElement('<div><label><input type="radio" name="report_reason" value="8" />' + '{{ 'Verletzung von Copyright'|trans({},'global')|e('js') }}' + '</label></div>') )
            sec_p.append( $.html.createElement('<div><label><input type="radio" name="report_reason" value="9" />' + '{{ 'Aufruf zu Gesetzesverstößen'|trans({},'global')|e('js') }}' + '</label></div>') )
            sec_p.append( $.html.createElement('<div><label><input type="radio" name="report_reason" value="10" />' + '{{ 'Ermutigung von Selbstmord oder Selbstverletzung'|trans({},'global')|e('js') }}' + '</label></div>') )
            sec_p.append( $.html.createElement('<p class="small"/>', '{{ 'Zusätzliche Informationen zu deiner Meldung (optional):'|trans({},'global')|e('js') }}') )
            sec_p.append( $.html.createElement('<div><textarea maxlength="255" style="min-height: 70px; max-height: 120px; height: 70px;" name="report_details"></textarea></div>') )

            form.append(sec_p)

            $.html.popup('{{ 'Unangemessenen Inhalt melden'|trans({},'global')|e('js') }}', form, null, [
                [ '{{ 'Inhalt melden'|trans({},'global')|e('js') }}',  [ ['click', (e_sub, elem_sub) => {
                    const reason = document.querySelector('[name="report_reason"]:checked') ? parseInt(document.querySelector('[name="report_reason"]:checked').value) : 0;
                    const detail = document.querySelector('[name="report_details"]') ? document.querySelector('[name="report_details"]').value : '';
                    $.html.triggerPopupPop(elem_sub);
                    $.ajax.easySend( '{{ owner.alive ? url('report_personal_desc', { id: owner.id }) : url('soul_report_comment', { sid: owner.user.id, idtown: owner.rankingEntry.town.id, topic: 'lw' }) }}', {reason, details: detail }, () => $.ajax.load(null, '{{ path('town_visit', {id: owner.id}) }}', true) );
                }] ] ],
                [ '{{ 'Abbrechen'|trans({},'global')|e('js') }}', [ ['click', (e_sub, elem_sub) => $.html.triggerPopupPop(elem_sub)] ] ]
            ] );

        });

        {% if owner.home.holdsBody %}
            const disposalButtons = document.querySelectorAll('[x-disposal-id]');
            for (let i = 0; i < disposalButtons.length; i++)
                disposalButtons[i].addEventListener('click', function() {
                    let confirmMsg = "";
                    let dispose_id = disposalButtons[i].getAttribute('x-disposal-id');
                    switch(dispose_id) {
                        case "{{ constant('App\\Entity\\Citizen::Watered') }}":
                            confirmMsg = "{{ 'Diese Aktion verbraucht 1x Ration Wasser. Bestätigen?'|trans({}, 'game')|e('js') }}";
                            break;
                        case "{{ constant('App\\Entity\\Citizen::Thrown') }}":
                            confirmMsg = "{{ 'Diese Aktion verbraucht 2 Aktionspunkte. Bestatigen ?'|trans({}, 'game')|e('js') }}";
                            break;
                        default:
                            confirmMsg = "{{ 'Bestätigen?'|trans({},'global')|e('js') }}";
                            break;
                    }

                    if (!confirm(confirmMsg))
                        return;

                    $.ajax.easySend( '{{ path('town_visit_dispose_controller', {id: owner.id}) }}', {action: parseInt(disposalButtons[i].getAttribute('x-disposal-id'))},
                        function () {
                            $.ajax.load(null, '{{ path('town_visit', {id: owner.id}) }}', true);
                        } );
                })
        {% endif %}
    </script>
{% endblock %}